Permalink
Browse files

Merge pull request #71 from arax/master

Minor changes in project files
  • Loading branch information...
arax committed Mar 12, 2013
2 parents 5a65ac2 + be8e0f0 commit 5e7aac73b918a06348f589204b0687dbfa6b4eb1
Showing with 7 additions and 132 deletions.
  1. +1 −0 .gitignore
  2. +3 −2 Gemfile
  3. +0 −126 Gemfile.lock
  4. +1 −1 Rakefile
  5. +1 −1 lib/occi/version.rb
  6. +1 −2 occi.gemspec
View
@@ -12,3 +12,4 @@ log
coverage
vendor
collection
+Gemfile.lock
View
@@ -3,8 +3,9 @@ source "https://rubygems.org/"
gemspec
group :development do
- gem 'vcr', :git => 'git://github.com/arax/vcr.git', :branch => 'test_framework_patches'
- gem 'warbler', :git => 'git://github.com/jruby/warbler.git'
+ gem 'vcr', :git => 'git://github.com/arax/vcr.git', :branch => 'test_framework_patches', :ref => 'e82e843ceddd8822acea59846b015bcabf1906df'
+ gem 'warbler', :git => 'git://github.com/jruby/warbler.git', :ref => 'ce3ce4df137504822e4cbb9399dee7e7dd767c44'
+ gem 'rubygems-tasks', :git => 'git://github.com/postmodern/rubygems-tasks.git'
end
platforms :jruby do
View
@@ -1,126 +0,0 @@
-GIT
- remote: git://github.com/arax/vcr.git
- revision: e82e843ceddd8822acea59846b015bcabf1906df
- branch: test_framework_patches
- specs:
- vcr (2.4.0)
-
-GIT
- remote: git://github.com/jruby/warbler.git
- revision: ce3ce4df137504822e4cbb9399dee7e7dd767c44
- specs:
- warbler (1.3.7.dev)
- jruby-jars (>= 1.5.6)
- jruby-rack (>= 1.0.0)
- rake (>= 0.9.6)
- rubyzip (>= 0.9.8)
-
-PATH
- remote: .
- specs:
- occi (3.1.0.beta.1)
- activesupport
- amqp
- antlr3
- hashie
- highline
- httparty
- i18n
- json
- nokogiri
- uuidtools (>= 2.1.3)
-
-GEM
- remote: https://rubygems.org/
- specs:
- activesupport (3.2.12)
- i18n (~> 0.6)
- multi_json (~> 1.0)
- addressable (2.3.3)
- amq-client (0.9.12)
- amq-protocol (>= 1.2.0)
- eventmachine
- amq-protocol (1.2.0)
- amqp (0.9.9)
- amq-client (~> 0.9.12)
- amq-protocol (~> 1.2.0)
- eventmachine
- antlr3 (1.8.12)
- builder (3.1.4)
- crack (0.3.2)
- cucumber (1.2.1)
- builder (>= 2.1.2)
- diff-lcs (>= 1.1.3)
- gherkin (~> 2.11.0)
- json (>= 1.4.6)
- diff-lcs (1.1.3)
- eventmachine (1.0.0)
- eventmachine (1.0.0-java)
- gherkin (2.11.6)
- json (>= 1.7.6)
- gherkin (2.11.6-java)
- json (>= 1.7.6)
- hashie (2.0.2)
- highline (1.6.15)
- httparty (0.10.2)
- multi_json (~> 1.0)
- multi_xml (>= 0.5.2)
- i18n (0.6.1)
- jruby-jars (1.7.3)
- jruby-rack (1.1.13.1)
- json (1.7.7)
- json (1.7.7-java)
- multi_json (1.6.1)
- multi_xml (0.5.3)
- nokogiri (1.5.6)
- nokogiri (1.5.6-java)
- rake (10.0.3)
- rspec (2.12.0)
- rspec-core (~> 2.12.0)
- rspec-expectations (~> 2.12.0)
- rspec-mocks (~> 2.12.0)
- rspec-core (2.12.2)
- rspec-expectations (2.12.1)
- diff-lcs (~> 1.1.3)
- rspec-http (0.10.0)
- rspec (~> 2.0)
- rspec-mocks (2.12.2)
- rubygems-tasks (0.2.3)
- rubyzip (0.9.9)
- simplecov (0.7.1)
- multi_json (~> 1.0)
- simplecov-html (~> 0.7.1)
- simplecov-html (0.7.1)
- uuidtools (2.1.3)
- webmock (1.9.3)
- addressable (>= 2.2.7)
- crack (>= 0.3.2)
- yard (0.8.4.1)
- yard-cucumber (2.2.3)
- cucumber (>= 0.7.5)
- gherkin (>= 2.2.9)
- yard (>= 0.8.1)
- yard-rspec (0.1)
- yard
- yard-sinatra (1.0.0)
- yard (~> 0.7)
-
-PLATFORMS
- java
- ruby
-
-DEPENDENCIES
- builder
- occi!
- rake
- rspec
- rspec-http
- rubygems-tasks
- simplecov
- vcr!
- warbler!
- webmock
- yard
- yard-cucumber
- yard-rspec
- yard-sinatra
View
@@ -5,7 +5,7 @@ task :default => 'test'
desc "Run all tests; includes rspec, cucumber and coverage reports"
task :test => 'rcov:all'
-Gem::Tasks.new(:build => {:tar => true, :zip => true}, :sign => {:checksum => true, :pgp => true})
+Gem::Tasks.new(:build => {:tar => true, :zip => true}, :sign => {:checksum => true, :pgp => false})
namespace :rcov do
View
@@ -1,3 +1,3 @@
module Occi
- VERSION = "3.1.0.beta.1" unless defined?(::Occi::VERSION)
+ VERSION = "3.1.0.beta.2" unless defined?(::Occi::VERSION)
end
View
@@ -39,8 +39,7 @@ Gem::Specification.new do |gem|
gem.add_development_dependency "yard-rspec"
gem.add_development_dependency "yard-cucumber"
gem.add_development_dependency "rspec-http"
- gem.add_development_dependency "rubygems-tasks"
- gem.add_development_dependency "webmock"
+ gem.add_development_dependency "webmock", "~>1.9.3"
gem.required_ruby_version = ">= 1.8.7"
end

0 comments on commit 5e7aac7

Please sign in to comment.